
QGIS Application - Bug report #5172

When a memory layer is "saved as" a shapefile, any null values in the attribute table are converted to 

zeros

2012-03-13 03:11 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14919

Description

What the subject says.  I don't know if this is really a data provider plugin, or what.

I haven't tested if the same problem occurs saving to shapefile from other formats.

Note that QGIS does support null values in shape files - you can load the resulting file and delete the zeros manually.

Associated revisions

Revision e7e2c08f - 2012-05-28 11:55 PM - Jürgen Fischer

skip null values in vector file writer (fixes #5172)

History

#1 - 2012-05-28 02:56 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e7e2c08f377a345e51ec0aed5a3df3311fa3bda7".
